import { atom } from 'jotai'
import { atomWithReset } from 'jotai/utils'


export const serverConfigAtom = atom({})

// Size and menu handling
export const menuOpenedAtom = atom(false)

// Pages state
export const activePageAtom = atom({})

// Filters for all pages to pass back and forth
export const locationFilterAtom = atom({})
export const roomFilterAtom = atom({})

// Notification history and notification stack
export const notificationHistoryAtom = atom([])
export const notificationQueueAtom = atomWithReset([])
